Skip to main content
GET
/
2
/
conversions
/
revenue
curl
curl --request GET \
  --url 'https://analytics.us.algolia.com/2/conversions/revenue?index=ALGOLIA_INDEX_NAME&startDate=2022-09-19&endDate=2023-01-21&tags=device%3Amobile%2520phone' \
  --header 'accept: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'
{
  "currencies": {},
  "dates": [
    {
      "currencies": {},
      "date": "2023-06-14"
    }
  ]
}
To retrieve revenue-related metrics, send purchase events. By default, the analyzed period includes the last eight days including the current day. Revenue is based on purchase conversion events (a conversion event with an eventSubtype attribute of purchase). The revenue is the price attribute multiplied by the quantity attribute for each object in the event’s objectData array. Required ACL: analytics

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Query Parameters

index
string
required

Index name.

Example:

"ALGOLIA_INDEX_NAME"

startDate
string

Start date of the period to analyze, in YYYY-MM-DD format.

Example:

"2022-09-19"

endDate
string

End date of the period to analyze, in YYYY-MM-DD format.

Example:

"2023-01-21"

tags
string

Tags by which to segment the analytics.

You can combine multiple tags with OR and AND. Tags must be URL-encoded. For more information, see Segment your analytics data.

Response

OK

currencies
object
required

Revenue associated with this search: broken down by currency.

dates
dailyRevenue Β· object[]
required

Daily revenue.

Last modified on March 23, 2026